OpenNMS API 1.2.9

## org.opennms.netmgt.config.capsd
Class DefinitionVersionDescriptor

    java.lang.Object
      org.exolab.castor.xml.Validator
          org.exolab.castor.xml.util.XMLClassDescriptorImpl
              org.opennms.netmgt.config.capsd.DefinitionVersionDescriptor

All Implemented Interfaces:
  org.exolab.castor.mapping.ClassDescriptor, org.exolab.castor.xml.ClassValidator, org.exolab.castor.xml.TypeValidator, org.exolab.castor.xml.XMLClassDescriptor

public class DefinitionVersionDescriptor
extends org.exolab.castor.xml.util.XMLClassDescriptorImpl

Version:
  $Revision$ $Date$

Field Summary
`private org.exolab.castor.xml.XMLFieldDescriptor` `identity`
`private java.lang.String` `nsPrefix`
`private java.lang.String` `nsURI`
`private java.lang.String` `xmlName`

Fields inherited from class org.exolab.castor.xml.util.XMLClassDescriptorImpl
``

Constructor Summary
`DefinitionVersionDescriptor()`

Method Summary
`org.exolab.castor.mapping.AccessMode` `getAccessMode()`
`org.exolab.castor.mapping.ClassDescriptor` `getExtends()`
`org.exolab.castor.mapping.FieldDescriptor` `getIdentity()`
`java.lang.Class` `getJavaClass()`
`java.lang.String` `getNameSpacePrefix()`
`java.lang.String` `getNameSpaceURI()`
`org.exolab.castor.xml.TypeValidator` `getValidator()`
`java.lang.String` `getXMLName()`

Methods inherited from class org.exolab.castor.xml.util.XMLClassDescriptorImpl

`addFieldDescriptor, canAccept, getAttributeDescriptors, getContentDescriptor, getElementDescriptors, getFieldDescriptor, getFields, removeFieldDescriptor, setCompositorAsAll, setCompositorAsChoice, setCompositorAsSequence, setExtends, setExtendsWithoutFlatten, setIdentity, setIntrospected, setJavaClass, setNameSpacePrefix, setNameSpaceURI, setXMLName, sortDescriptors, toString, toXMLName, validate, validate`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### nsPrefix

    private java.lang.String nsPrefix

### nsURI

    private java.lang.String nsURI

### xmlName

    private java.lang.String xmlName

### identity

    private org.exolab.castor.xml.XMLFieldDescriptor identity

Constructor Detail

### DefinitionVersionDescriptor

    public DefinitionVersionDescriptor()

Method Detail

### getAccessMode

    public org.exolab.castor.mapping.AccessMode getAccessMode()

### getExtends

    public org.exolab.castor.mapping.ClassDescriptor getExtends()

### getIdentity

    public org.exolab.castor.mapping.FieldDescriptor getIdentity()

### getJavaClass

    public java.lang.Class getJavaClass()

### getNameSpacePrefix

    public java.lang.String getNameSpacePrefix()

### getNameSpaceURI

    public java.lang.String getNameSpaceURI()

### getValidator

    public org.exolab.castor.xml.TypeValidator getValidator()

### getXMLName

    public java.lang.String getXMLName()

OpenNMS API 1.2.9

Generated by ranger on May 19 2007 2335.